# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'observable-delegate/version'

Gem::Specification.new do |spec|
  spec.name          = "observable-delegate"
  spec.version       = ObservableDelegate::VERSION
  spec.authors       = ["Jasper Lyons"]
  spec.email         = ["jasper.lyons@gmail.com"]

  spec.summary       = %q{Declaratively observe anything at run time.}
  spec.description   = %q{Gem to make declaratively observing objects at runtime
  much easier. Theres no need to implement a wrapping class or mix the observing
  responcibilities in with your business logic. Just proxy through an
  ObservableDelegate!}
  spec.homepage      = "https://github.com/jasper-lyons/overvable-delegate"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "byebug"
  spec.add_development_dependency "minitest"
  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 10.0"
end
